package com.aselimov.app.steady_state_analysis;

import com.aselimov.app.timedata.TimeData;

/**
 * A calculator that determines whether input time_series data is steady state.
 */
public abstract class SteadyStateCalculator {
    public enum SignalStatus {
        STEADY,
        NOT_STEADY,
        NOT_CHECKED
    }

    public void printIfSteady(TimeData data) {
        SignalStatus status = isSteady(data);
        switch (status) {
            case STEADY:
                System.out.println("Signal is steady-state");
                break;
            case NOT_STEADY:
                System.out.println("Signal is not steady-state");
                break;
            case NOT_CHECKED:
                break;
        }
    }

    protected abstract SignalStatus isSteady(TimeData data);
}
